#include<bits/stdc++.h>
#define ll long long
using namespace std;
ll N,M,dp[200005][15],gde;
bool cenz[200005];
string A,B;
int main(){
   cin>>A>>B;
   N=A.size();
   M=B.size();
   A="."+A+"...";
   B="."+B+"...";
   dp[0][0]=0;
   for(int i=1;i<=N;i++){
      dp[i][0]=dp[i-1][0];
      if(A[i]==B[1])
         dp[i][0]++;
   }
   for(int i=1;i<=N;i++){
      for(int j=1;j<M;j++){
         dp[i][j]=1e9;
         if(A[i]==B[j])
            dp[i][j]=dp[i-1][j-1];
         if(A[i]!=B[j+1])
            dp[i][j]=min(dp[i][j],dp[i-1][j]);
         else
            dp[i][j]=min(dp[i][j],dp[i-1][j]+1);
      }
   }
   ll res=dp[N][0];
   gde=0;
   for(int j=1;j<M;j++){
      if(dp[N][j]<res){
         gde=j;
         res=dp[N][j];
      }
   }
   cout<<res<<endl;
   for(int i=N;i>=1;i--){
      cenz[i]=false;
      if(gde==0){
         if(A[i]==B[1])
            cenz[i]=true;
         continue;
      }
      if(A[i]==B[gde] and dp[i][gde]==dp[i-1][gde-1]){
         gde--;
         continue;
      }
      if(A[i]==B[gde+1] and dp[i][gde]==dp[i-1][gde]+1){
         cenz[i]=true;
         continue;
      }
   }
   for(int i=1;i<=N;i++)
      if(cenz[i])
         cout<<"*";
      else
         cout<<A[i];
   cout<<endl;
   return 0;
}